Panda3D

- Main Page
- Packages
- Classes

- Packages
- Package Functions

Functions | Variables

# Package http.LandingPageHTML

## Functions
def | addBodyHeaderAndContent
def | getQuickStatsTable
def | getRowClassString
def | getTabs
def | getTabTags
def | getURITable
## Variables
string | contactInfo = "M. Ian Graham - ian.graham@dig.com"
| defaultDesc = description
| defaultTitle = title
string | description = "To set this description, call WebRequestDispatcher.setDescription!<BR><BR>You can also add stats to the table below by calling WebRequestDispatcher.addQuickStat(Name,Value,PositionInTable)."
string | footer
string | header
string | mainPageBody
string | stylesheet
string | title = "Landing Page"

## Function Documentation

def http.LandingPageHTML.addBodyHeaderAndContent | ( |  | bodyTag,
|  |  | titleString,
|  |  | menuTags
| ) |  |

def http.LandingPageHTML.getQuickStatsTable | ( |  | quickStats | ) |

def http.LandingPageHTML.getRowClassString | ( |  | rowNum | ) |

def http.LandingPageHTML.getTabs | ( |  | menu,
|  |  | activeTab
| ) |  |

def http.LandingPageHTML.getTabTags | ( |  | menu,
|  |  | activeTab
| ) |  |

def http.LandingPageHTML.getURITable | ( |  | title,
|  |  | uriList,
|  |  | uriToHandler
| ) |  |

## Variable Documentation

string contactInfo = "M. Ian Graham - ian.graham@dig.com"

defaultDesc = description

defaultTitle = title

string description = "To set this description, call WebRequestDispatcher.setDescription!<BR><BR>You can also add stats to the table below by calling WebRequestDispatcher.addQuickStat(Name,Value,PositionInTable)."

string footer

Initial value:

    00001 '''
    00002 </center>
    00003 </div>
    00004
    00005 <!-- FOOTER -->
    00006
    00007 <div id="footer">
    00008 Contact: %(contact)s
    00009 </div>
    00010 </body>
    00011 </html>
    00012 \r\n'''

string header

Initial value:

    00001 '''
    00002 <?xml version="1.0" encoding="UTF-8"?>
    00003 <html>
    00004 %(headTag)s
    00005 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    00006 <title>%(titlestring)s</title>
    00007 <link rel="stylesheet" type="text/css" href="/default.css">
    00008 </head>
    00009
    00010 %(bodyTag)s
    00011 '''

string mainPageBody

Initial value:

    00001 '''
    00002 <P>%(description)s</P>
    00003
    00004 <P>%(quickstats)s</P>
    00005 '''

string stylesheet

string title = "Landing Page"

All Classes Namespaces Functions Variables Enumerations Enumerator Properties